Skip to content

# Class: CatalogEntityRegistry

Main.Catalog.CatalogEntityRegistry

## Table of contents

### Constructors

- constructor

### Methods

- getItemsForApiKind

## Constructors

### constructor

• new CatalogEntityRegistry()

## Methods

### getItemsForApiKind

▸ getItemsForApiKind<T>(`apiVersion`, `kind`): `T`[]

#### Type parameters

Name | Type
--- | ---
`T` | `T`: CatalogEntity<CatalogEntityMetadata, CatalogEntityStatus, CatalogEntitySpec, T>

#### Parameters

Name | Type
--- | ---
`apiVersion` | `string`
`kind` | `string`

#### Returns

`T`[]